﻿@model PagedList<DomainModels.Entities.Support.Ticket>


@{
    ViewBag.Title = "تیکت های من";
}


@Html.Partial("~/Areas/Admin/Views/Partial/_ShowMessage.cshtml")

<div class="row">
	<div class="col-lg-12">
		<table id="miyazaki" class="tbl-grid" style="width: 100%;">
			<thead>
				<tr>
					<th>
						@Html.DisplayNameFor(model => model.Data.First().Id)
					</th>
                    <th>
                        @Html.DisplayNameFor(model => model.Data.First().Subject)
                    </th>
					<th>
						وضعیت
					</th>
                    <th>
                        @Html.DisplayNameFor(model => model.Data.First().CreatedOn)
                    </th>
				</tr>
			</thead>
			<tbody>
			@foreach (var item in Model.Data) {
				<tr>
					<td>
						@Html.DisplayFor(modelItem => item.Id)
					</td>
                    <td>
                        <a class="blue-link" href="/Customer/Ticket/Detail/@item.Id">@item.Subject</a>
                    </td>
					<td>
                        @Html.ShowBoolean(item.IsOpen, "باز", "بسته")
					</td>
                    <td>
                        @Html.ShowDateTime(item.CreatedOn, ShamsiDateFormatType.ToPersianWithTime)
                    </td>
				</tr>
			}
			</tbody>
		</table>

		@Html.ShowEmptyLabel(Model.Data)
        @Html.ShowPagerDescription(Model)
        @Html.ShowPager(Model, Url.Action("Index"))
			
	</div>
</div>
